Skip to main content
PATCH
/
api
/
v1
/
persons
/
{id}
cURL
curl --request PATCH \
  --url https://api.example.com/api/v1/persons/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "addresses": [
    {
      "street": "<string>",
      "houseNumber": "<string>",
      "additionalAddressInfo": "<string>",
      "zipCode": "<string>",
      "city": "<string>",
      "stateCode": "<string>",
      "country": "<string>"
    }
  ],
  "bankDetails": {
    "iban": "<string>",
    "bic": "<string>",
    "payee": "<string>"
  }
}
'
import requests

url = "https://api.example.com/api/v1/persons/{id}"

payload = {
"addresses": [
{
"street": "<string>",
"houseNumber": "<string>",
"additionalAddressInfo": "<string>",
"zipCode": "<string>",
"city": "<string>",
"stateCode": "<string>",
"country": "<string>"
}
],
"bankDetails": {
"iban": "<string>",
"bic": "<string>",
"payee": "<string>"
}
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
addresses: [
{
street: '<string>',
houseNumber: '<string>',
additionalAddressInfo: '<string>',
zipCode: '<string>',
city: '<string>',
stateCode: '<string>',
country: '<string>'
}
],
bankDetails: {iban: '<string>', bic: '<string>', payee: '<string>'}
})
};

fetch('https://api.example.com/api/v1/persons/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


While the endpoint itself supports the patch mechanism and individual fields can be transferred, this does not apply to the contents of those fields. For example, if only part of an address is transferred, it is stored exactly as it is, and any additional information is discarded.

Path Parameters

id
string
required

Body

application/json
addresses
(StreetAddress · object | PostOfficeBox · object)[]

Private addresses of the person. The first one will be be made the default and used for payroll and time employments.

bankDetails
object

Response

200

OK